> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/3.-interogare-obtineti-satelliteimages.md).

# 3. Interogare: Obțineți „SatelliteImages”

Obțineți "SatelliteImages" cu un prag de nori definit pentru "Field".

Sugestii:&#x20;

* Citiți toate "Farms" accesibile pentru "User" - eliminați *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Lucru similar cu "Fields", "SatelliteImages", "VectorAnalysisMap".
* Permis `geoMapType` filtru cu valori acceptabile: `ALL`, `ORIGIN`, `CROPPED`, `RAW`, `PROCESSED`, `THUMBNAIL`, `CONTRAST`
* Filtre permise legate de dată: `înainte de` și `după` care aparțin [format AWSDate.](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) Este posibil să se folosească doar unul dintre filtre. Mai multe detalii sunt [AICI](/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/37.-interogare-obtineti-satelliteimages-in-intervalul-definit.md).
* Permis `provider` filtru cu valori acceptabile: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Permis `prag` filtrul evidențiază acoperirea cu nori: "1" înseamnă fără nori, "0" - complet înnorat.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nume
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nume
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        terenFărăNori
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMedie
        
        statistici {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recomandatPentruAnalizăMultiAnuală 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      nume
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        terenFărăNori
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviMedie
        
        statistici {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recomandatPentruAnalizăMultiAnuală
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/3.-interogare-obtineti-satelliteimages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
